/*-----------------------------------------------------------------------------------

    Template Name: landio


    Note: This is Custom Js file

-----------------------------------------------------------------------------------

    [Table of contents]
    
    1. logodata
    2. clients-slider
    3. stickyHeader
    4. accordion-item
    5. Go to top
    6. loaded

-----------------------------------------------------------------------------------*/

/* 1. logodata */
jQuery(document).ready(function($){
    if ( $.isFunction($.fn.owlCarousel) ) {
    $('.quotation').owlCarousel({
            loop:true,
            dot:true,
            nav:false,
            autoplay:true,
            items:1,
            autoplayTimeout:3000,
            })

/* 2. clients-slider */
    $('.clients-slider').owlCarousel({
            loop:true,
            dot:false,
            nav:false,
            autoplay:true,
            autoplayTimeout:3000,
            responsive:{
                0:{
                    items:1
                },
                600:{
                    items:2
                },
                993:{
                    items:4
                },
                1200:{
                    items:5
                },
              }
            })
        }
});


/* 3. stickyHeader */
if ($("#stickyHeader")[0]){
 
    var new_scroll_position = 0;

        var last_scroll_position;

        var header = document.getElementById("stickyHeader");

        window.addEventListener('scroll', function(e) {

        last_scroll_position = window.scrollY;

        if (new_scroll_position < last_scroll_position && last_scroll_position > 100) {

          header.classList.remove("slideUp");

          header.classList.add("slideUp");
        } 

        else if (last_scroll_position < 100) {

          header.classList.remove("slideUp");

        } 

        else if (new_scroll_position > last_scroll_position) {

          header.classList.remove("slideUp");

          header.classList.add("slideUp");

        }

         new_scroll_position = last_scroll_position;

        });
      }



/* 4. accordion-item */
$('.accordion-item .heading').on('click', function(e) {
    e.preventDefault();

    if($(this).closest('.accordion-item').hasClass('active')) {
        $('.accordion-item').removeClass('active');
    } else {
        $('.accordion-item').removeClass('active');

        $(this).closest('.accordion-item').addClass('active');
    }
    var $content = $(this).next();
    $content.slideToggle(100);
    $('.accordion-item .content').not($content).slideUp('fast');
});

/* 5. Go to top */ 
function inVisible(element) {
  //Checking if the element is
  //visible in the viewport
  var WindowTop = $(window).scrollTop();
  var WindowBottom = WindowTop + $(window).height();
  var ElementTop = element.offset().top;
  var ElementBottom = ElementTop + element.height();
  //animating the element if it is
  //visible in the viewport
  if ((ElementBottom <= WindowBottom) && ElementTop >= WindowTop)
    animate(element);
}

function animate(element) {
  //Animating the element if not animated before
  if (!element.hasClass('ms-animated')) {
    var maxval = element.data('max');
    var html = element.html();
    element.addClass("ms-animated");
    $({
      countNum: element.html()
    }).animate({
      countNum: maxval
    }, {
      //duration 5 seconds
      duration: 5000,
      easing: 'linear',
      step: function() {
        element.html(Math.floor(this.countNum) + html);
      },
      complete: function() {
        element.html(this.countNum + html);
      }
    });
  }

}

//When the document is ready
$(function() {
  //This is triggered when the
  //user scrolls the page
  $(window).scroll(function() {
    //Checking if each items to animate are 
    //visible in the viewport
    $("h2[data-max]").each(function() {
      inVisible($(this));
    });
  })
});




let calcScrollValue = () => {
  let scrollProgress = document.getElementById("progress");
  let progressValue = document.getElementById("progress-value");
  let pos = document.documentElement.scrollTop;
  let calcHeight =
    document.documentElement.scrollHeight -
    document.documentElement.clientHeight;
  let scrollValue = Math.round((pos * 100) / calcHeight);
  if (pos > 100) {
    scrollProgress.style.display = "grid";
  } else {
    scrollProgress.style.display = "none";
  }
  scrollProgress.addEventListener("click", () => {
    document.documentElement.scrollTop = 0;
  });
  scrollProgress.style.background = `conic-gradient(#000 ${scrollValue}%, #ffffff00 ${scrollValue}%)`;
};

window.onscroll = calcScrollValue;
window.onload = calcScrollValue;

// 6. loaded


$(window).on('load', function () {
    $("body").addClass("page-loaded");
    ("loaded")
});


// Get the modal
var modal = document.getElementById("form-modal");

// Get the close button
var closeBtn = document.querySelector(".close-btn");

// When the user clicks on any of the buttons, open the modal
document.getElementById("open-form-btn-1").onclick = function () {
  modal.style.display = "block";
  // Additional actions specific to Button 1 can go here
};

document.getElementById("open-form-btn-2").onclick = function () {
  modal.style.display = "block";
  // Additional actions specific to Button 2 can go here
};

document.getElementById("open-form-btn-3").onclick = function () {
  modal.style.display = "block";
  // Additional actions specific to Button 3 can go here
};

// When the user clicks on <span> (x), close the modal
closeBtn.onclick = function () {
  modal.style.display = "none";
};

// When the user clicks anywhere outside of the modal, close it
window.onclick = function (event) {
  if (event.target == modal) {
    modal.style.display = "none";
  }
};


document.getElementById("submit-form").addEventListener("click", function(event){
    event.preventDefault();

    // Get form data
    var formData = new FormData(document.getElementById("contact-form"));

    // Convert formData to an object
    var data = {};
    formData.forEach((value, key) => (data[key] = value));

    // Send data to Google Apps Script via AJAX
    fetch("https://script.google.com/macros/s/AKfycbwGn6PzjLLeOYumfooMuifKu6dNKKCPCCo0bLXO8f6XhjaEpeGDZowrIt5d_427hzwvZw/exec", {
        method: "POST",
        mode: "cors",
        headers: {
            "Content-Type": "application/json"
        },
        body: JSON.stringify(data)
    })
    .then(response => response.text())
    .then(result => {
        console.log("Success:", result);
        // Optionally, display a success message to the user
    })
    .catch(error => {
        console.error("Error:", error);
        // Optionally, display an error message to the user
    });
});